<?php

namespace Modules\ContactList\Interfaces;

use Modules\ContactList\Models\ContactList;

interface ContactListRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): ContactList;
    public function update(array $request, ContactList $contactList): ContactList;
    public function destroy(ContactList $contactList): void;
    public function destroyAll(array $ids): void;
    public function restore(ContactList $contactList): void;
    public function restoreAll(array $ids): void;
}
